#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
std::vector<int> solve(std::vector<int> A)
{
    vector<int> indx;
    for (int i=0; i<A.size()/2; i+=2)
    {
        indx.push_back(i);
        indx.push_back(A.size()-1-i);
    }
    if (A.size()%2==1) indx.push_back(A.size()/2);
    for (int i=1; i<A.size()/2; i+=2)
    {
        indx.push_back(i);
        indx.push_back(A.size()-1-i);
    }
    return indx;
}